This page was created by the IDL library routine `mk_html_help2`.

Last modified: Mon Sep 29 18:17:33 2025.

# Directory Listing of Routines

# general/missions/rbsp/rbspice

- RBSP_LOAD_RBSPICE
- RBSP_LOAD_RBSPICE_CRIB
- RBSP_LOAD_RBSPICE_READ
- RBSP_RBSPICE_CONFIG
- RBSP_RBSPICE_INIT
- RBSP_RBSPICE_OMNI
  Calculates the omni-directional flux for all 6 telescopes
- RBSP_RBSPICE_PAD
  Calculate pitch angle distributions using data from the
- RBSP_RBSPICE_PAD_SPINAVG
  Calculates spin-averaged PADs for the RBSPICE instrument
- RBSP_RBSPICE_READ_CONFIG
  Reads the RBSP RBSPICE file
- RBSP_RBSPICE_SPIN_AVG
  Calculates spin-averaged fluxes for the RBSPICE instrument

# Routine Descriptions

## RBSP_LOAD_RBSPICE

[Next Routine] [List of Routines]

     PROCEDURE: rbsp_load_rbspice

     PURPOSE:  Loads RBSP RBSPICE data.

     KEYWORDS:
         probe:              RBSP spacecraft indicator [Options: 'a' (default), 'b']
         trange:             (Optional) Time range of interest  (2 element array); if not set, the default is to prompt the user
         datatype:           RBSPICE data type ['EBR','ESRHELT','ESRLEHT','IBR','ISBR','ISRHELT','TOFxEH' (default),'TOFxEIon','TOFxEnonH','TOFxPHHHELT','TOFxPHHLEHT'],
                             but change for different data levels.
         level:              data level ['l1','l2','l3' (default),'l3pap']
         downloadonly:       download file but don't read it or load tplot variables
         get_support_data:   when set this routine will load any support data;
                             support data (such as energy range, PA range, etc.) is specified in the CDF file
         time_clip:          clip the data to the requested time range; note that if you
                             do not use this keyword, you may load a longer time range than requested
         varformat:          should be a string (wildcards accepted) that will match the CDF variables
                             that should be loaded into tplot variables
         files:              named varible for output of pathnames of local files
         verbose:            set to enable useful outputs for debugging

     EXAMPLE:

    		   rbsp_load_rbspice, probe='b', level='l3', datatype='TOFxEH', trange=['2015-10-01/12:00','2015-10-01/18:00'], /time_clip, /get_support_data

     REVISION HISTORY:
         + ?,?                         : Original from rbsp_load_emfisis.pro
         + 2013-03, K. Min             : ?
         + 2014-04, K. Keika           : ?
         + 2016-12-08, I. Cohen        :defined L3 and L3PAP datatypes; added trange to rbsp_load_rbspice_read call; added omni-directional calculation and spin-averaging through calls to separate routines

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:56:11 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22905 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_load_rbspice.pro $

(See general/missions/rbsp/rbspice/rbsp_load_rbspice.pro)

## RBSP_LOAD_RBSPICE_CRIB

[Previous Routine] [Next Routine] [List of Routines]

     RBSP RBSPICE crib sheet

      prime RBSPICE scientific products are:
        TOFxEH proton spectra
        TOFxEnonH helium spectra
        TOFxEnonH oxygen spectra
        TOFxPHHHELT proton spectra
        TOFxPHHHELT oxygen spectra

    $LastChangedBy: egrimes $
    $LastChangedDate: 2023-05-04 12:46:31 -0700 (Thu, 04 May 2023) $
    $LastChangedRevision: 31828 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_load_rbspice_crib.pro $

(See general/missions/rbsp/rbspice/rbsp_load_rbspice_crib.pro)

## RBSP_LOAD_RBSPICE_READ

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: RBSP_LOAD_RBSPICE_READ

     PURPOSE:   Works on previously loaded RBSPICE tplot variables: adds energy channel energy values to primary data variable, separates non-H species variables,
                 creates variables for individual telescopes, and sets appropriate tplot options

     KEYWORDS:
             probe:        RBSP spacecraft indicator [Options: 'a' (default), 'b']
             datatype:     RBSPICE data type ['EBR','ESRHELT','ESRLEHT','IBR','ISBR','ISRHELT','TOFxEH' (default),'TOFxEIon','TOFxEnonH','TOFxPHHHELT','TOFxPHHLEHT'],
                           but change for different data levels.
             species:      particle species ['proton' (default),'helium','oxygen', or 'ions']
             tplotnames:   This does not need to be defined, will load all previously loaded tplot variables
             level:        data level ['l1','l2','l3' (default),'l3pap']

     REVISION HISTORY:
         + ?, D. Turner, M. Gkioulidou, K. Keika,  : created with cdf reader provided by H. Korth.
         + 2013-04, K. Keika                       : ?
         + 2016-09-12, I. Cohen                    : added trange keyword and introduced into call to rbsp_load_emphisis; commented out load and analysis of emphisis data
         + 2017-02-21, I. Cohen                    : reconfigured redefinition of '*_F*DU' variables to separate oxygen and helium; defined species and yticks variables for y-axis labeling;
                                                     changed yrange and zrange limits

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:51:35 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22904 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_load_rbspice_read.pro $

(See general/missions/rbsp/rbspice/rbsp_load_rbspice_read.pro)

## RBSP_RBSPICE_CONFIG

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: rbsp_rbspice_config

     PURPOSE:   This procedure serves as the RBSP RBSPICE configuration file.  It sets global (system) variables and initializes devices

                This procedure will define the location of data files and the data server.
                This procedure is intended to be called from within the "RBSP_RBSPICE_INIT" procedure.

                This should be the only RBSP RBSPICE file that requires modification for use in different locations.

                Settings  in this file will be overridden by settings in the environment.
                (see setup_themis or setup_themis_bash for examples of setting environment
                variables on UNIX-like systems.  The environment can also be set on Windows
                systems.)

     KEYWORDS
                no_color_setup:    do not set colors if already taken care of

     REVISION HISTORY:
         + ?, ?                          : created from rbsp_emfisis_config.pro
         + Mar 2013,   K. Min            : ?

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_config.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_config.pro)

## RBSP_RBSPICE_INIT

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE:  rbsp_rbspice_init

     PURPOSE:    Initializes system variables for RBSP RBSPICE.  Can be called from idl_startup to set custom locations.

                 The system variable !RBSP_RBSPICE is defined here.  The elements of this structure are explained below:

                 !RBSP_RBSPICE.LOCAL_DATA_DIR    This is the root location for all RBSP RBSPICE data files.
                      The RBSP RBSPICE software expects all data files to reside in specific subdirectories relative
                      to this root directory.;

                 !RBSP_RBSPICE.REMOTE_DATA_DIR   This is the URL of the server that can provide the data files.
                      (default is: "http://themis.ssl.berkeley.edu/data/themis/")
                      if the software does not find a needed file in LOCAL_DATA_DIR,
                      then it will attempt to download the data from the URL and REMOTE_DATA_DIR is defined,
                      the software will attempt to download the file from REMOTE_DATA_DIR, place it in LOCAL_DATA_DIR
                      with the same relative pathname, and then continue processing.

     KEYWORDS:
       reset:           Reset !rbsp_rbspice to values in environment (or values in keywords).
       local_data_dir:  use given value for local_data_dir, rather than environment. Only works on
                        initial call or reset.
       remote_data_dir: Use given value for remote_data_dir, rather than environment.  Only works on inital
                        call or reset.
       no_color_setup:  do not set colors if already taken care of

     REVISION HISTORY:
         + ?, ?                          : created from rbsp_emfisis_init.pro
         + Mar 2013,   K. Min            : ?
         + 2016-12-08, I. Cohen          : updated mission start time

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_init.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_init.pro)

## RBSP_RBSPICE_OMNI

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE:
             rbsp_rbspice_omni

     PURPOSE:
           Calculates the omni-directional flux for all 6 telescopes

     KEYWORDS:
             probe:        RBSP spacecraft indicator [Options: 'a' (default), 'b']
             datatype:     RBSPICE data type ['EBR','ESRHELT','ESRLEHT','IBR','ISBR','ISRHELT','TOFxEH' (default),'TOFxEIon','TOFxEnonH','TOFxPHHHELT','TOFxPHHLEHT'],
                           but change for different data levels.
             tplotnames:   This does not need to be defined, will load all previously loaded tplot variables
             level:        data level ['l1','l2','l3' (default),'l3pap']

     REVISION HISTORY:
           + 2016-12-09, I. Cohen      : created based on mms_eis_omni.pro; added level keyword; removed data_units and data_rate keywords
           + 2017-02-21, I. Cohen      : defined species variable for y-axis labeling

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_omni.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_omni.pro)

## RBSP_RBSPICE_PAD

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE:
             rbsp_rbspice_pad

     PURPOSE:
             Calculate pitch angle distributions using data from the
               RBSP Radiation Belt Storm Probes Ion Composition Experiment (RBSPICE)

     KEYWORDS:

             probe:      RBSP spacecraft indicator [Options: 'a' (default), 'b']
             trange:     Time range of interest  (2 element array); if not set, the default is to prompt the user
             datatype:   desired data type [Options: 'TOFxEH' (default), 'TOFxEnonH']
             level:      data level ['l1','l2','l3' (default),'l3pap']
             energy:     user-defined energy range to include in the calculation in keV [default = [0,1000]]
             bin_size:   desired size of the pitch angle bins in degrees [default = 15]
             scopes:       string array of telescopes to be included in PAD [0-5, default is all]

     EXAMPLES:

     OUTPUT:

     NOTES:
         This was written by Brian Walsh; minor modifications by egrimes@igpp and Ian Cohen (APL)

     REVISION HISTORY:
           + 2017-02-22, I. Cohen      : created based on mms_eis_pad.pro, edited to handle omni-directional or single telescope

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_pad.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_pad.pro)

## RBSP_RBSPICE_PAD_SPINAVG

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE:
             rbsp_rbspice_pad_spinavg

     PURPOSE:
             Calculates spin-averaged PADs for the RBSPICE instrument

     KEYWORDS:
             probe:        RBSP spacecraft indicator [Options: 'a' (default), 'b']
             datatype:     desired data type [Options: 'TOFxEH' (default), 'TOFxEnonH']
             level:      data level ['l1','l2','l3' (default),'l3pap']
             species:      desired ion species [Options: 'proton' (default), 'helium', 'oxygen']
             energy:       user-defined energy range to include in the calculation in keV [default = [0,1000]]
             bin_size:     desired size of the pitch angle bins in degrees [default = 15]
             scopes:       string array of telescopes to be included in PAD [0-5, default is all]

     OUTPUT:

     REVISION HISTORY:
           + 2017-02-22, I. Cohen      : created based on mms_eis_pad_spinavg.pro and tailored to work with rbsp_rbspice_pad.pro

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_pad_spinavg.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_pad_spinavg.pro)

## RBSP_RBSPICE_READ_CONFIG

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     rbsp_rbspice_read_config

    PURPOSE:
     Reads the RBSP RBSPICE file

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:32:27 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22903 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_read_config.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_read_config.pro)

## RBSP_RBSPICE_SPIN_AVG

[Previous Routine] [List of Routines]

     PROCEDURE:
             rbsp_rbspice_spin_avg

     PURPOSE:
             Calculates spin-averaged fluxes for the RBSPICE instrument

     KEYWORDS:
             probe:        RBSP spacecraft indicator [Options: 'a' (default), 'b']
             datatype:     RBSPICE data type ['TOFxEH' (default),'TOFxEnonH'],
             tplotnames:   This does not need to be defined, will load all previously loaded tplot variables
             level:        data level ['l1','l2','l3' (default),'l3pap']

     REVISION HISTORY:
           + 2016-12-09, I. Cohen      : created based on mms_eis_spin_avg.pro
           + 2017-02-21, I. Cohen      : removed species keyword; defined species variable for y-axis labeling

    $LastChangedBy: egrimes $
    $LastChangedDate: 2017-03-03 08:08:58 -0800 (Fri, 03 Mar 2017) $
    $LastChangedRevision: 22902 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/general/missions/rbsp/rbspice/rbsp_rbspice_spin_avg.pro $

(See general/missions/rbsp/rbspice/rbsp_rbspice_spin_avg.pro)